# Uses of Class
javax.swing.JSeparator

Packages that use JSeparator
Package
Description
javax.swing
Provides a set of "lightweight" (all-Java language) components that, to the maximum degree possible, work the same on all platforms.
javax.swing.plaf.basic
Provides user interface objects built according to the Basic look and feel.
javax.swing.plaf.synth
Synth is a skinnable look and feel in which all painting is delegated.

## Uses of JSeparator in javax.swing

Subclasses of JSeparator in javax.swing
Modifier and Type
Class
Description
`static class`
`JPopupMenu.Separator`
A popup menu-specific separator.
`static class`
`JToolBar.Separator`
A toolbar-specific separator.

## Uses of JSeparator in javax.swing.plaf.basic

Methods in javax.swing.plaf.basic with parameters of type JSeparator
Modifier and Type
Method
Description
`protected void`
BasicSeparatorUI.`installDefaults(JSeparator s)`
Installs default properties.
`protected void`
BasicSeparatorUI.`installListeners(JSeparator s)`
Registers listeners.
`protected void`
BasicSeparatorUI.`uninstallDefaults(JSeparator s)`
Uninstalls default properties.
`protected void`
BasicSeparatorUI.`uninstallListeners(JSeparator s)`
Unregisters listeners.

## Uses of JSeparator in javax.swing.plaf.synth

Methods in javax.swing.plaf.synth with parameters of type JSeparator
Modifier and Type
Method
Description
`void`
SynthSeparatorUI.`installDefaults(JSeparator c)`
Installs default setting.
`void`
SynthSeparatorUI.`installListeners(JSeparator c)`
Installs listeners.
`void`
SynthSeparatorUI.`uninstallDefaults(JSeparator c)`
Uninstalls default setting.
`void`
SynthSeparatorUI.`uninstallListeners(JSeparator c)`
Uninstalls listeners.